---
lang: en
title: 'API docs: extension-health.healthcomponent'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.extension-health.healthcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/extension-health](./extension-health.md) &gt; [HealthComponent](./extension-health.healthcomponent.md)

## HealthComponent class

A component providing health status

<b>Signature:</b>

```typescript
export declare class HealthComponent implements Component 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(application, healthConfig)](./extension-health.healthcomponent._constructor_.md) |  | Constructs a new instance of the <code>HealthComponent</code> class |


